package errorswrap

import (
	"github.com/stretchr/testify/require"
	"testing"
)

func TestCode(t *testing.T) {

	e := NewError(ErrorProviderApiUrlInvalid)

	require.Equal(t, GetErrorCode(e), ErrorProviderApiUrlInvalid)
}
